// данная программа помогает проанализировать максимальное и минимальное положение
// сервоприводов в манипуляторе. Подключается проверяемая серва к пину 11
// вводится в мониторе градусное значение от 1 до 180 (0 нельзя, это постоянное значение, если ничего не вводить)

#include <Servo.h> // подключаем библиотеку для сервопривода
Servo servo_1; // объявляем переменную servo типа "servo"

int val; // освобождаем память в контроллере для переменой

void setup() {
   Serial.begin(9600); // подключаем последовательный порт
   servo_1.attach(11); // привязываем сервопривод к выходу 11
}

void loop() {
   // проверяем, поступают ли какие-то команды
   if (Serial.available()) {

      val = Serial.parseInt(); // переменная val равна полученной команде
      Serial.println(val); // печатаем значение в мониторе

      if (val != 0) { 
        servo_1.write(val); //поварачиваем сервопривод на заданную челичину
        delay(1000); //ждём 1 секунду
        } 
   }
}